rhythmbox (3.4.9-3ubuntu3) resolute; urgency=medium

  * Rebuild against latest libpeas

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 08 Feb 2026 22:51:48 -0500

rhythmbox (3.4.9-3ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 28 Jan 2026 17:29:57 +0000

rhythmbox (3.4.9-3ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    + d/control, d/rules, d/rhythmbox-plugin-zeitgeist.install:
      - Split out zeitgeist plugin
    + d/control:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + d/p/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp #1756597)
    + d/p/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + d/p/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + d/p/07_quicklists.patch
      - Add quicklists
    + d/p/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + d/p/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + d/p/10_encoding_use_ubuntu_profiles.patch, d/*.prs,
      d/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 18 Nov 2025 21:37:08 +0100

rhythmbox (3.4.9-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Remove Suggests: devhelp

  [ Simon McVittie ]
  * d/control: Explicitly Breaks older python3-gi.
    The dependency is enforced by rhythmbox-plugins anyway, but let's
    be safer.
  * Upload to unstable (transition: #1118613)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Nov 2025 11:24:54 +0000

rhythmbox (3.4.9-2) experimental; urgency=medium

  * Team upload
  * Rebuild against pygobject 3.52+ and a compatible libpeas
    (Helps: #1118363, #1099164)
    - d/control: Bump Build-Depends on pygobject packages to 3.52
    - d/control: Bump Build-Depends on libpeas packages to 1.36.0-6~
  * d/rules: Run tests without AT-SPI to silence some warnings
  * Upload to experimental until we are ready for the pygobject 3.54
    transition

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Oct 2025 13:39:30 +0100

rhythmbox (3.4.9-1ubuntu1) resolute; urgency=medium

  * Merge with Debian (lp: #2130058). Remaining changes:
    + d/control, d/rules, d/rhythmbox-plugin-zeitgeist.install:
      - Split out zeitgeist plugin
    + d/control:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + d/p/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp #1756597)
    + d/p/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + d/p/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + d/p/07_quicklists.patch
      - Add quicklists
    + d/p/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + d/p/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + d/p/10_encoding_use_ubuntu_profiles.patch, d/*.prs,
      d/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Nov 2025 09:50:10 +0100

rhythmbox (3.4.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix compatibility with GLib 2.86
    - Compile-time compatible with either pygobject 3.50 and libpeas 1.36,
      or pygobject 3.52+ and libpeas 1.38 prereleases
  * d/patches: Drop a patch that was included in the new upstream release
  * d/gbp.conf: Update upstream tag naming scheme
  * d/watch: Convert to v5 format
  * Build-depend on gir1.2-gstpbutils-1.0-dev.
    libgstreamer-plugins-base1.0-dev now Provides this.
  * d/librhythmbox-core10.symbols: Update.
    This includes ABI breaks, but the removed objects don't seem to be used
    by any Rhythmbox plugins in practice.
  * d/copyright: Don't quote the FSF's former postal address here
  * d/patches: Update patch metadata
  * d/rhythmbox-plugins.lintian-overrides: Silence a false positive

 -- Simon McVittie <smcv@debian.org>  Sat, 18 Oct 2025 15:04:49 +0100

rhythmbox (3.4.8-3) unstable; urgency=medium

  * Fix build with nocheck profile (Closes: #1116895)
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 11:44:38 -0400

rhythmbox (3.4.8-2) unstable; urgency=high

  * Team upload
  * d/rules: Run tests under the run-with-display script from gtk4.
    In particular, this instructs xvfb-run to pass the -noreset option to
    Xvfb, working around defaults that cause intermittent test failures
    (see #981201). (Closes: #1093686)
  * d/control: Build-Depend on (most of the) required gir1.2-*-dev packages.
    Ideally we should also Build-Depend on the gir1.2-gstpbutils-1.0-dev
    virtual package, but libgstreamer-plugins-base1.0-dev doesn't yet
    provide it.
  * d/control: Build-Depend on gobject-introspection instead of
    libgirepository1.0-dev
  * d/control: rhythmbox-dev Depends on ${gir:Depends}.
    This means we no longer need to hard-code the dependency on
    gir1.2-rb-3.0.
  * d/control: gir1.2-rb-3.0 Provides ${gir:Provides}, instead of
    hard-coding its equivalent
  * Set high urgency so that fixing the test failures can unblock the
    libxml2 transition

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Aug 2025 14:29:50 +0100

rhythmbox (3.4.8-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + d/control, d/rules, d/rhythmbox-plugin-zeitgeist.install:
      - Split out zeitgeist plugin
    + d/control:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + d/p/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp: #1756597)
    + d/p/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + d/p/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + d/p/07_quicklists.patch
      - Add quicklists
    + d/p/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + d/p/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + d/p/10_encoding_use_ubuntu_profiles.patch, d/*.prs,
      d/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Fri, 10 Jan 2025 09:03:53 +0100

rhythmbox (3.4.8-1) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * New upstream release
    - Fixes syntax warnings with Python 3.12 (Closes: #1074390)
    - No longer uses cgi module, removed in Python 3.13 (Closes: #1084705)
  * debian/control:
    - update meson requirement
  * refresh patches, removed the ones included in the new version
  * debian/librhythmbox-core10.symbols:
    - updated for the new version
  * debian/control,
    debian/rhythmbox-doc.install,
    debian/rhythmbox-doc.links,
    debian/rules:
    - update for change from gtk-doc to gi-docgen
  * debian/rhythmbox.docs:
    - updated for the README rename

  [ Jeremy Bícha ]
  * Update pkg-config binary package name
  * Add Provides: ${gir:Provides} to rhythmbox-dev
  * Bump Standards Version to 4.7.0

  [ Simon McVittie ]
  * d/p/doc-install-the-api-documentation.patch,
    d/rhythmbox-doc.{install,links}:
    Install gi-docgen-generated documentation
  * d/control, d/rules: Don't require gi-docgen unless building rhythmbox-doc
  * d/control: Don't require -doc packages for documentation build.
    gtk-doc needed these, but gi-docgen does not.
  * d/rules: Disable brasero and ipod plugins on Hurd.
    The corresponding build-dependencies are not installed on this
    platform, and `meson -Dauto_features=enabled` requires features with
    missing dependencies to be disabled explicitly.
  * d/p/doc-Register-API-documentation-with-devhelp.patch:
    Add a patch to re-enable devhelp integration
  * d/rhythmbox-doc.doc-base: Register documentation with doc-base

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Dec 2024 12:44:49 +0000

rhythmbox (3.4.7-2ubuntu7) oracular; urgency=medium

  * Fix invalid python escape sequences. (LP: #2029480)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 10 Sep 2024 11:50:31 +0200

rhythmbox (3.4.7-2ubuntu5) noble; urgency=medium

  * Update patches to fix unnamed actions. (LP: #2055783)
    Per jbicha: "upstream switched away from intltool after Jammy.
    The underline isn't needed now for the field to be translatable
    and _Name isn't recognized as a field". 
    - debian/patches/07_quicklists.patch
    - debian/patches/08_stop_quit.patch

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 14 Mar 2024 21:16:35 -0400

rhythmbox (3.4.7-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:36:49 +0000

rhythmbox (3.4.7-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:52:01 +0000

rhythmbox (3.4.7-2ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jan 2024 07:49:34 +0000

rhythmbox (3.4.7-2ubuntu1) noble; urgency=medium

  * Resynchronize on Debian, remaining changes
    + debian/control, debian/rhythmbox-plugin-zeitgeist.install,
      debian/rules:
      - Split out zeitgeist plugin
    + debian/control:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommend rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + debian/patches/07_quicklists.patch
      - Add quicklists
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + debian/patches/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default
    + debian/patches/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp: #1756597)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 10:04:37 -0500

rhythmbox (3.4.7-2) unstable; urgency=medium

  * Cherry-pick 3 patches to fix issues with libxml2 2.12 and Python 3.12
  * Stop using debian/control.in and dh_gnome_clean
  * Update Build-Depends: liblircclient-dev -> liblirc-dev (Closes: #1059977)
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Jan 2024 10:03:32 -0500

rhythmbox (3.4.7-1ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian, remaining changes
    + debian/control.in, debian/rhythmbox-plugin-zeitgeist.install,
      debian/rules:
      - Split out zeitgeist plugin
    + debian/control.in:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + debian/patches/07_quicklists.patch
      - Add quicklists
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + debian/patches/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default
    + debian/patches/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp: #1756597)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Jun 2023 13:25:03 +0200

rhythmbox (3.4.7-1) unstable; urgency=medium

  * New upstream release
  * Build with libsoup3
  * Drop unused Build-Depends on gir1.2-webkit2-4.0
  * debian/librhythmbox-core10.symbols: Drop get_party_mode symbol.
    Party Mode no longer exists and nothing in Debian used this
    (Closes: #378516, #611202)
  * Drop build test patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Jun 2023 10:28:51 -0400

rhythmbox (3.4.7-0ubuntu3) mantic; urgency=medium

  * Re-enable dmap plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Jun 2023 06:47:13 -0400

rhythmbox (3.4.7-0ubuntu2) mantic; urgency=medium

  * Drop Build-Depends on gir1.2-webkit2-4.0:
    it was only used by the obsolete context plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jun 2023 20:24:40 -0400

rhythmbox (3.4.7-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * Build with libsoup3
  * Drop patches applied in new release
  * Refresh patches
  * Temporarily disable dmap plugin until we update libdmapsharing to 3.9
  * debian/librhythmbox-core10.symbols: Drop get_party_mode symbol.
    Party Mode no longer exists and nothing in Debian used this

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 May 2023 16:17:21 -0400

rhythmbox (3.4.6-2ubuntu5) lunar; urgency=medium

  * debian/patches/git_library_ref.patch:
    - include an extra fix for the tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 08 Apr 2023 15:30:38 +0200

rhythmbox (3.4.6-2ubuntu3.1) lunar; urgency=medium

  * debian/patches/git_library_ref.patch:
    - cherry pick an upstream change to resolve a test issue with the
      current glib version and fix the package build

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 07 Apr 2023 15:38:07 +0200

rhythmbox (3.4.6-2ubuntu3) lunar; urgency=medium

  * No change rebuild to get translations imported, launchpad was again
    wrongly set to share those with an outdated vcs (lp: #2013052)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Mar 2023 12:36:48 +0200

rhythmbox (3.4.6-2ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Dec 2022 03:42:10 +0000

rhythmbox (3.4.6-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in, debian/rhythmbox-plugin-zeitgeist.install,
      debian/rules:
      - Split out zeitgeist plugin
    + debian/control.in:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + debian/patches/07_quicklists.patch
      - Add quicklists
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + debian/patches/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default
    + debian/patches/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp: #1756597)
  * Refresh patches
  * Drop 02_use_excaped_podcast_uri.patch: No longer needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 24 Jun 2022 08:20:44 -0400

rhythmbox (3.4.6-2) unstable; urgency=medium

  * Increase test timeout
  * Add patch to temporarily skip a build test failing on arm64

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Jun 2022 10:13:54 -0400

rhythmbox (3.4.6-1) unstable; urgency=medium

  * New upstream release (Closes: #1012266)
  * Build with meson
  * debian/librhythmbox-core10.symbols: Update
  * debian/control.in: Build-Depend on desktop-file-utils
  * Build-Depend on check, librsvg2-common, xauth, and xvfb for build tests
  * debian/control.in: Don't recommend gstreamer1.0-pulseaudio
  * debian/rhythmbox.install: AppStream metadata file has new name
  * debian/rhythmbox-plugins.install: SoundCloud plugin is no longer provided
  * Drop all patches except the multiarch patch: applied in new release
  * Add proposed patch for build tests to use uninstalled gsettings schemas
  * Bump Standards-Version to 4.6.1
  * Drop obsolete Build-Conflicts
  * Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Jun 2022 10:45:33 -0400

rhythmbox (3.4.4-5ubuntu2) kinetic; urgency=medium

  * Don't recommend gstreamer1.0-pulseaudio

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 20 May 2022 16:48:02 -0400

rhythmbox (3.4.4-5ubuntu1) jammy; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in, debian/rhythmbox-plugin-zeitgeist.install,
      debian/rules:
      - Split out zeitgeist plugin
    + debian/control.in:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + debian/patches/07_quicklists.patch
      - Add quicklists
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + debian/patches/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default
    + debian/patches/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp: #1756597)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 13:39:15 -0500

rhythmbox (3.4.4-5) unstable; urgency=medium

  * Cherry-pick patch to remove obsolete GNOME MediaKeys plugin
  * Cherry-pick patch to make the replacement MPRIS plugin built-in
    so it can't be disabled
  * debian/rhythmbox-plugins.install: Don't try to install the MediaKeys plugin
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir, dh-sequence-gnome, dh-sequence-python3
  * debian/rules: Drop unneeded -Wl,--as-needed

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Feb 2022 11:07:22 -0500

rhythmbox (3.4.4-4ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 16 Jan 2022 07:10:54 +0000

rhythmbox (3.4.4-4ubuntu1) jammy; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in, debian/rhythmbox-plugin-zeitgeist.install,
      debian/rules:
      - Split out zeitgeist plugin
    + debian/control.in:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + debian/patches/07_quicklists.patch
      - Add quicklists
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + debian/patches/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default
    + debian/patches/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp: #1756597)
  * debian/control.in: add a missing runtime dependency on
    gir1.2-zeitgeist-2.0 for the zeitgeist plugin

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 15 Nov 2021 21:07:49 +0100

rhythmbox (3.4.4-4) unstable; urgency=medium

  * Team upload
  * Acknowledge NMU
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * d/patches: Move Debian-specific patch to end of series
  * d/p/git_xfade_gstreamer.patch: Add more metadata
  * d/patches: Add patch to disable winampcn.com lyrics source.
    From upstream, via Ubuntu. Ubuntu also disables Dark Lyrics (limited
    scope, only works for metal songs) and Jetlyrics (unknown status)
    but those have not been changed upstream.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 09:55:10 +0000

rhythmbox (3.4.4-3.1) unstable; urgency=medium

  * debian/patches/git_xfade_gstreamer.patch:
    - gst-helper: fix xfade playback with GStreamer 1.18+

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Nov 2020 10:51:27 +0100

rhythmbox (3.4.4-3) unstable; urgency=medium

  * Team upload
  * d/p/plugins-Update-website-links.patch:
    Add patch from upstream to make plugins' Website links point to the
    GNOME wiki. rhythmbox.org seems to be mostly broken, and this change
    also has the side-effect of switching to https. (Closes: #964946)
  * Drop build-dependencies on GStreamer documentation.
    GStreamer documentation is not currently available in Debian due to
    changes in how upstream publish it. Don't adjust cross-references to
    point to a local copy. (Closes: #970741)
  * d/upstream/metadata: Add
  * Drop migration path from legacy -dbg package in Debian 8
  * Refresh patch series
  * d/p/Fix-broken-application-icon-in-About-dialog.patch,
    d/p/update-app-icon-name.patch,
    d/p/use-RB_APP_ICON-instead-of-hardcoding-icon-names.patch:
    Add patches (from upstream, via Ubuntu) to fix icon names (LP: #1878330)

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Sep 2020 14:14:12 +0100

rhythmbox (3.4.4-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control.in:
    - update the plugins description to remove sendto

  [ Laurent Bigonville ]
  * Move metadata helper to /usr/libexec
  * Disable ipod support on hurd-i386, libgpod-dev is not available there
  * Disable rhythmbox-plugin-cdrecorder package on hurd-i386
  * Do not try to install the fmradio plugin on hurd-i386
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/rhythmbox.mime: Remove the quotes around the placeholder, that
    fixes the quoted-placeholder-in-mailcap-entry lintian warning

 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Mar 2020 20:48:24 +0100

rhythmbox (3.4.4-1ubuntu5) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:23:52 +0200

rhythmbox (3.4.4-1ubuntu4) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Nov 2020 21:33:46 +0100

rhythmbox (3.4.4-1ubuntu3.2) hirsute; urgency=medium

  * debian/patches/git_xfade_gstreamer.patch:
    - gst-helper: fix xfade playback with GStreamer 1.18+
      (lp: #1903207)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Nov 2020 10:51:27 +0100

rhythmbox (3.4.4-1ubuntu3.1) groovy; urgency=medium

  * debian/patches/gitlab_lyrics_resources.patch:
    - disable lyrics servers that are not working anymore, either because
      they are down or because they changed (lp: #1756597)

  [ Laurent Bigonville ]
  * debian/rhythmbox.mime: Remove the quotes around the placeholder, that
    fixes the quoted-placeholder-in-mailcap-entry lintian warning
  
  [ Simon McVittie ]
  *  d/p/plugins-Update-website-links.patch:
    Add patch from upstream to make plugins' Website links point to the
    GNOME wiki. rhythmbox.org seems to be mostly broken, and this change
    also has the side-effect of switching to https. (Closes: #964946)
  * debian/control.in:
    - Drop build-dependencies on GStreamer documentation

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Sep 2020 12:51:31 +0200

rhythmbox (3.4.4-1ubuntu3) groovy; urgency=medium

  * d/p/git_icons_fixes.patch:
    - Fix broken icon in about and notifications (lp: #1878330)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Aug 2020 16:37:38 +0200

rhythmbox (3.4.4-1ubuntu2) focal; urgency=medium

  * debian/control.in:
    - remove the transitional magnatune binary added back by error
    - updated the plugins description to drop sendto

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Jan 2020 10:09:45 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog rhythmbox-doc`.
